package de.unikoblenz.fgbks.core.dmn.domain.ids;

import de.unikoblenz.fgbks.core.dmn.domain.vdmn.VDmnColumn;

/**
 * A column id, representing the id of a {@link VDmnColumn}.
 */
public abstract class ColumnId extends AbstractId {

  /**
   * Create a new copy of the initialValue with the id value of the given Id object.
   *
   * @param initialValue the original id
   */
  public ColumnId(AbstractId initialValue) {
    super(initialValue);
  }

  /**
   * Create new ColumnId with the id value of the initialValue.
   *
   * @param initialValue the value of the new id
   */
  public ColumnId(String initialValue) {
    super(initialValue);
  }
}
