package de.unikoblenz.fgbks.core.dmn.domain.vdmn.impl;

import de.unikoblenz.fgbks.core.dmn.domain.ids.AbstractId;
import de.unikoblenz.fgbks.core.dmn.domain.vdmn.VDmnElement;
import java.util.Objects;

/**
 * Implementation of {@link VDmnElement}
 */
public abstract class AbstractVDmnElement implements VDmnElement {

  protected AbstractId id;

  @Override
  public AbstractId getId() {
    return id;
  }

  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    AbstractVDmnElement that = (AbstractVDmnElement) o;
    return id.equals(that.id);
  }

  @Override
  public int hashCode() {
    return Objects.hash(id);
  }
}
