package de.unikoblenz.fgbks.core.dmn.verification.verifier;

import de.unikoblenz.fgbks.core.dmn.verification.verifier.config.AbstractDmnVerifierConfig;
import de.unikoblenz.fgbks.core.dmn.verification.verifier.config.DefaultConfiguration;
import de.unikoblenz.fgbks.core.dmn.verification.verifier.types.VerificationType;
import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

@Target(ElementType.TYPE)
@Retention(RetentionPolicy.RUNTIME)
public @interface DmnVerifier {

  Class<? extends VerificationType> verifierType();

  Class<? extends AbstractDmnVerifierConfig> verifierConfig() default DefaultConfiguration.class;
}
