package de.unikoblenz.fgbks.core.dmn.verification.verifier.classification;

import de.unikoblenz.fgbks.base.domain.Description;
import de.unikoblenz.fgbks.base.domain.Name;

@Classification
public class DecisionLogicLevelVerification extends AbstractClassificationType {

  private static final DecisionLogicLevelVerification instance =
      new DecisionLogicLevelVerification();

  private DecisionLogicLevelVerification() {
    super(new Name("DecisionLogicLevel"), new Name("Decision Logic Level"),
        new Description("Checks and verifications on the Decision Logic Level.<br/>xxxx"));
  }

  public static DecisionLogicLevelVerification getInstance() {
    return instance;
  }
}
