package de.unikoblenz.fgbks.core.dmn.verification.verifier.classification;

import de.unikoblenz.fgbks.base.domain.Description;
import de.unikoblenz.fgbks.base.domain.Name;

@Classification
public class SyntaxLevelVerification extends AbstractClassificationType {

  private static final SyntaxLevelVerification instance = new SyntaxLevelVerification();

  private SyntaxLevelVerification() {
    super(new Name("SyntaxLevel"), new Name("Syntax Level"), new Description("test")); // TODO
  }

  public static SyntaxLevelVerification getInstance() {
    return instance;
  }
}
