# Master Thesis - Implementation Project - Backend

[Thesis Project](https://gitlab.uni-koblenz.de/jonasblatt/ma-jonasblatt-thesis) of Jonas Blatt in WiSe 19/20 - SoSe20

This project contains all source files of the implementation, created for the master thesis.

- [Frontend Project](../dmnverifierfrontend)

## Backend
- [Running Backend Instance](http://dmn.fg-bks.uni-koblenz.de:8080)
- [Api Documentation](docApi.md)

### Important dependencies
- [Quarkus](https://quarkus.io/)
- [Camunda DMN](https://github.com/camunda/camunda-dmn-model/)

### Verifier
- [Overview verifier](verifier.md)
