package de.unikoblenz.fgbks.core.dmn.verification.verifier.classification;

import de.unikoblenz.fgbks.base.domain.Description;
import de.unikoblenz.fgbks.base.domain.Name;
import java.io.Serializable;
import javax.json.bind.annotation.JsonbProperty;
import javax.validation.constraints.NotNull;

public interface ClassificationType extends Serializable {

  @NotNull
  @JsonbProperty("name")
  Name getName();

  @NotNull
  @JsonbProperty("niceName")
  Name getNiceName();

  @NotNull
  @JsonbProperty("description")
  Description getDescription();
}
