package de.unikoblenz.fgbks.core.dmn.verification.verifier.types;

import de.unikoblenz.fgbks.base.domain.Description;
import de.unikoblenz.fgbks.base.domain.Name;
import de.unikoblenz.fgbks.base.value.ValueObject;
import de.unikoblenz.fgbks.core.dmn.verification.verifier.classification.ClassificationType;
import javax.json.bind.annotation.JsonbProperty;
import javax.validation.constraints.NotNull;

public interface VerificationType extends ValueObject {

  @NotNull
  @JsonbProperty("classification")
  ClassificationType getClassification();

  @NotNull
  @JsonbProperty("name")
  Name getName();

  @NotNull
  @JsonbProperty("niceName")
  Name getNiceName();

  @NotNull
  @JsonbProperty("description")
  Description getDescription();
}
